[arch-commits] Commit in gnucash/repos (2 files)
Evangelos Foutras
foutrelis at archlinux.org
Mon Apr 27 13:08:29 UTC 2020
Date: Monday, April 27, 2020 @ 13:08:28
Author: foutrelis
Revision: 621881
archrelease: copy trunk to community-staging-x86_64
Added:
gnucash/repos/community-staging-x86_64/
gnucash/repos/community-staging-x86_64/PKGBUILD
(from rev 621880, gnucash/trunk/PKGBUILD)
----------+
PKGBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 50 insertions(+)
Copied: gnucash/repos/community-staging-x86_64/PKGBUILD (from rev 621880, gnucash/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2020-04-27 13:08:28 UTC (rev 621881)
@@ -0,0 +1,50 @@
+# Maintainer: Balló György <ballogyor+arch at gmail dot com>
+# Maintainer: Jaroslav Lichtblau <svetlemodry at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=3.9
+pkgrel=2
+pkgdesc='Personal and small-business financial-accounting application'
+arch=(x86_64)
+url='https://gnucash.org/'
+license=(GPL)
+depends=(aqbanking gwenhywfar boost-libs guile libdbi webkit2gtk)
+makedepends=(boost cmake gmock libdbi-drivers mariadb-libs postgresql-libs)
+optdepends=('gnucash-docs: documentation'
+ 'libdbi-drivers: open and save data into SQL database'
+ 'perl-date-manip: stock information lookups'
+ 'perl-finance-quote: stock information lookups')
+options=(!emptydirs)
+source=(https://downloads.sourceforge.net/$pkgname/$pkgname-${pkgver}.tar.bz2)
+sha256sums=('8d02dddc7cbc9d7324f4b577825dffffb8c4c938746701407e7b04bd647eb9ff')
+
+build() {
+ cd $pkgname-$pkgver
+
+ # Do not treat warnings as errors
+ sed -e 's|-Werror||g' -i CMakeLists.txt
+
+ cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=/usr/lib \
+ -DWITH_PYTHON=ON \
+ -DHAVE_GWEN_GTK3=ON \
+ -DCOMPILE_GSCHEMAS=OFF
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make -k check || : # 2 tests failed
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+
+ # Delete the gnucash-valgrind executable because the source files
+ # are not included with the package and the executable is hardlinked
+ # to the location that it was built at.
+ rm -f "$pkgdir/usr/bin/gnucash-valgrind"
+}
More information about the arch-commits
mailing list